<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDividendIncome" xlink:type="locator" xlink:label="AdjustmentsForDividendIncome"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:type="locator" xlink:label="AdjustmentsForInterestIncome"/>
        <link:labelArc xlink:from="AdjustmentsForDividendIncome" xlink:to="negated_AdjustmentsForDividendIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:labelArc xlink:from="AdjustmentsForInterestIncome" xlink:to="negated_AdjustmentsForInterestIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:type="arc"/>
        <link:label id="negated_AdjustmentsForDividendIncome_en" xlink:label="negated_AdjustmentsForDividendIncome" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Adjustments for dividend income</link:label>
        <link:label id="negated_AdjustmentsForInterestIncome_en" xlink:label="negated_AdjustmentsForInterestIncome" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Adjustments for interest income</link:label>
    </link:labelLink>
</link:linkbase>
